@extends('admin.layout')

@section('content')
  <div class="page-header">
    <h4 class="page-title">{{ __('Select Vendor') }}</h4>
    <ul class="breadcrumbs">
      <li class="nav-home">
        <a href="{{ route('admin.dashboard') }}">
          <i class="flaticon-home"></i>
        </a>
      </li>
      <li class="separator">
        <i class="flaticon-right-arrow"></i>
      </li>
      <li class="nav-item">
        <a href="#">{{ __('Listings Management') }}</a>
      </li>
      <li class="separator">
        <i class="flaticon-right-arrow"></i>
      </li>
      <li class="nav-item">
        <a href="#">{{ __('Select Vendor') }}</a>
      </li>
    </ul>
  </div>
  <div class="alert alert-danger d-none" id="vendorMessage">

  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="card-title d-inline-block">{{ __('Select Vendor') }}</div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-lg-10 offset-lg-1">
              <div class="alert alert-danger pb-1 dis-none" id="listingErrors">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <ul></ul>
              </div>


              <form id="vendorSelect"action="{{ route('admin.listing_management.find_vendor_id') }}" method="POST"
                enctype="multipart/form-data">
                @csrf
                <div class="row">
                  <div class="col-lg-12">
                    <div class="form-group">
                      <label for="">{{ __('Vendor') }}</label>
                      <select name="vendor_id" class="form-control js-example-basic-single1">
                        <option selected value="0">{{ __('Please Select') }}</option>
                        @foreach ($vendors as $vendor)
                          <option value="{{ $vendor->id }}">{{ $vendor->username }}</option>
                        @endforeach
                      </select>
                      <p class="text-warning">
                        {{ __('if you do not select any vendor, then this Listing will be listed for Admin') }}</p>
                    </div>
                  </div>

                </div>

              </form>
            </div>
          </div>
        </div>
        <div class="card-footer">
          <div class="row">
            <div class="col-12 text-center">
              <button type="submit" form="vendorSelect" class="btn btn-success">
                {{ __('Next') }}
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection


@section('script')
  <script>
    'use strict';
  </script>
  <script type="text/javascript" src="{{ asset('assets/admin/js/admin-dropzone.js') }}"></script>
@endsection
